%define oname   launchy

Name:       ruby-%{oname}
Version:    3.0.1
Release:    %mkrel 2
Summary:    Helper class for launching cross-platform applications
Group:      Development/Ruby
License:    ISC License
URL:        http://copiousfreetime.rubyforge.org/launchy/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Launchy is helper class for launching cross-platform applications in a
fire and forget manner.
There are application concepts (browser, email client, etc) that are
common across all platforms, and they may be launched differently on
each platform.  Launchy is here to make a common approach to launching
external application from within ruby programs.

%files
%{_bindir}/launchy
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Fri Dec 06 2024 pterjan <pterjan> 3.0.1-2.mga10
+ Revision: 2122285
- Rebuild to drop rich requires

* Wed Dec 04 2024 pterjan <pterjan> 3.0.1-1.mga10
+ Revision: 2121012
- Update to 3.0.1

* Mon Apr 08 2024 pterjan <pterjan> 3.0.0-1.mga10
+ Revision: 2055373
- Update to 3.0.0

* Fri Mar 25 2022 umeabot <umeabot> 2.5.0-2.mga9
+ Revision: 1826515
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 2.5.0-1.mga8
+ Revision: 1561446
- Update to 2.5.0

* Wed Feb 12 2020 umeabot <umeabot> 2.4.3-3.mga8
+ Revision: 1499780
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.4.3-2.mga7
+ Revision: 1275143
- Mageia 7 Mass Rebuild

* Mon Jan 04 2016 pterjan <pterjan> 2.4.3-1.mga6
+ Revision: 919692
- Update to 2.4.3

* Wed Oct 15 2014 umeabot <umeabot> 2.4.2-3.mga5
+ Revision: 739641
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.2-2.mga5
+ Revision: 688850
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 pterjan <pterjan> 2.4.2-1.mga5
+ Revision: 634678
- 2.4.2

* Sat Dec 28 2013 pterjan <pterjan> 2.1.2-6.mga4
+ Revision: 561994
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 2.1.2-5.mga4
+ Revision: 561374
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 2.1.2-4.mga4
+ Revision: 535927
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 2.1.2-3.mga4
+ Revision: 482822
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 2.1.2-3.mga3
+ Revision: 396121
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.1.2-2.mga3
+ Revision: 381089
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.1.2-1.mga3
+ Revision: 313115
- new version 2.1.2

* Sun Feb 06 2011 shikamaru <shikamaru> 0.3.7-3.mga1
+ Revision: 47826
- Add check section
- add patch for rspec2
- bump release

* Thu Feb 03 2011 shikamaru <shikamaru> 0.3.7-2.mga1
+ Revision: 46651
- imported package ruby-launchy

